declare const CLoadingButton: import("vue").DefineComponent<{
    loading: {
        type: BooleanConstructor;
        default: boolean;
        required: boolean;
    };
    /**
     * Toggle the active state for the component.
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
        required: boolean;
    };
    /**
     * A string of all className you want applied to the base component.
     */
    className: {
        type: StringConstructor;
        required: boolean;
    };
    /**
    * Sets the color context of the component to one of CoreUI’s themed colors.
    */
    color: {
        type: StringConstructor;
        validator(value: string): boolean;
    };
    /**
    * Component used for the root node. Either a string to use a HTML element or a component.
    */
    component: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * Toggle the disabled state for the component.
     */
    disabled: {
        type: BooleanConstructor;
        required: boolean;
    };
    /**
     * The href attribute specifies the URL of the page the link goes to.
     */
    href: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * The role attribute describes the role of an element in programs that can make use of it, such as screen readers or magnifiers.
     */
    role: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * Select the shape of the component.
     */
    shape: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * Size the component small or large.
     */
    size: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * Specifies the type of button. Always specify the type attribute for the <button> element.
     * Different browsers may use different default types for the <button> element.
     */
    type: {
        type: StringConstructor;
        required: boolean;
    };
    /**
     * Set the button variant to an outlined button or a ghost button.
     */
    variant: {
        type: StringConstructor;
        required: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    loading?: unknown;
    active?: unknown;
    className?: unknown;
    color?: unknown;
    component?: unknown;
    disabled?: unknown;
    href?: unknown;
    role?: unknown;
    shape?: unknown;
    size?: unknown;
    type?: unknown;
    variant?: unknown;
} & {
    loading: boolean;
    active: boolean;
    disabled: boolean;
} & {
    className?: string | undefined;
    color?: string | undefined;
    component?: string | undefined;
    href?: string | undefined;
    role?: string | undefined;
    shape?: string | undefined;
    size?: string | undefined;
    type?: string | undefined;
    variant?: string | undefined;
}>, {
    loading: boolean;
    active: boolean;
    disabled: boolean;
}>;
export { CLoadingButton };
