declare const CSidebar: import("vue").DefineComponent<{
    /**
     * Hide sidebar.
     */
    hide: BooleanConstructor;
    /**
     * Make sidebar narrow.
     */
    narrow: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Set sidebar to overlaid variant.
     */
    overlaid: {
        type: BooleanConstructor;
        required: false;
    };
    /**
     * Place sidebar in non-static positions.
     */
    position: {
        type: StringConstructor;
        default: undefined;
        validator: (value: string) => boolean;
    };
    /**
     * Make any sidebar self hiding across all viewports or pick a maximum breakpoint with which to have a self hiding up to.
     *
     * @values 'xs', 'sm', 'md', 'lg', 'xl', 'xxl'
     */
    selfHiding: {
        type: (BooleanConstructor | StringConstructor)[];
        default: undefined;
        validator: (value: boolean | string) => boolean;
    };
    /**
     * Expand narrowed sidebar on hover.
     */
    unfoldable: {
        type: StringConstructor;
        default: undefined;
        required: false;
    };
    /**
     * Toggle the visibility of sidebar component.
     */
    visible: BooleanConstructor;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    hide?: unknown;
    narrow?: unknown;
    overlaid?: unknown;
    position?: unknown;
    selfHiding?: unknown;
    unfoldable?: unknown;
    visible?: unknown;
} & {
    hide: boolean;
    narrow: boolean;
    overlaid: boolean;
    visible: boolean;
} & {
    position?: string | undefined;
    selfHiding?: string | boolean | undefined;
    unfoldable?: string | undefined;
}>, {
    hide: boolean;
    narrow: boolean;
    overlaid: boolean;
    position: string;
    selfHiding: string | boolean;
    unfoldable: string;
    visible: boolean;
}>;
export { CSidebar };
